# $Revision: 1.29.2.1 $, $Date: 2008/09/28 21:10:06 $
%define		_lang		es
Summary:	Spanish resources for Mozilla-firefox
Summary(ca.UTF-8):	Recursos espanyols per Mozilla-firefox
Summary(es.UTF-8):	Recursos españoles para Mozilla-firefox
Summary(pl.UTF-8):	Hiszpańskie pliki językowe dla Mozilli-firefox
Name:		mozilla-firefox-lang-%{_lang}
Version:	2.0.0.17
Release:	1
License:	GPL
Group:		I18n
Source0:	http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{version}/linux-i686/xpi/es-ES.xpi
# Source0-md5:	08d15e12e1fc0305f92ee9b48725ff58
URL:		http://www.mozilla.org/
BuildRequires:	unzip
Requires:	mozilla-firefox >= %{version}
Provides:	mozilla-firefox-lang-resources = %{version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_firefoxdir	%{_datadir}/mozilla-firefox
%define		_chromedir	%{_firefoxdir}/chrome

%description
Spanish resources for Mozilla-firefox.

%description -l ca.UTF-8
Recursos espanyols per Mozilla-firefox.

%description -l es.UTF-8
Recursos españoles para Mozilla-firefox.

%description -l pl.UTF-8
Hiszpańskie pliki językowe dla Mozilli-firefox.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_chromedir},%{_firefoxdir}/defaults/profile}

unzip %{SOURCE0} -d $RPM_BUILD_ROOT%{_libdir}
mv -f $RPM_BUILD_ROOT%{_libdir}/chrome/* $RPM_BUILD_ROOT%{_chromedir}
sed -e 's@chrome/es-ES\.jar@es-ES.jar@' $RPM_BUILD_ROOT%{_libdir}/chrome.manifest \
	> $RPM_BUILD_ROOT%{_chromedir}/es-ES.manifest
mv -f $RPM_BUILD_ROOT%{_libdir}/*.rdf $RPM_BUILD_ROOT%{_firefoxdir}/defaults/profile

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_chromedir}/es-ES.jar
%{_chromedir}/es-ES.manifest
# file conflict:
#%{_firefoxdir}/defaults/profile/*.rdf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mozilla-firefox-lang-es.spec,v $
Revision 1.29.2.1  2008/09/28 21:10:06  glen
- up to 2.0.0.17

Revision 1.29  2008/05/24 18:03:43  megabajt
- changed Groups to I18n

Revision 1.28  2008-04-22 10:21:12  hawk
- updated to 2.0.0.14

Revision 1.27  2008-03-28 21:45:06  glen
- release 2

Revision 1.26  2008-03-27 13:35:27  hawk
- updated to 2.0.0.13

Revision 1.25  2007-12-03 14:00:37  glen
- 2.0.0.11

Revision 1.24  2007-11-27 10:44:26  shadzik
- 2.0.0.10

Revision 1.23  2007-11-03 21:09:09  glen
- unify

Revision 1.22  2007/11/02 10:16:52  shadzik
- ups, previous commit has broken megabajts changelog :/ - fixed

Revision 1.21  2007/11/02 10:04:45  shadzik
- 2.0.0.9

Revision 1.20  2007/10/21 12:07:35  megabajt
- updated to 2.0.0.8

Revision 1.19  2007/09/20 22:20:37  glen
- update to 2.0.0.7

Revision 1.18  2007/06/01 14:17:41  hawk
- updated to 2.0.0.4

Revision 1.17  2007/04/03 07:07:10  qboosh
- merged 2.0.0.3 from AC-branch

Revision 1.16  2007/02/25 01:35:49  glen
- 2.0.0.2

Revision 1.15  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.13  2006/12/22 15:33:37  glen
- 2.0.0.1

Revision 1.12  2006/12/08 14:44:27  glen
- drop bogus deps

Revision 1.11  2006/12/08 14:42:58  glen
- 2.0

Revision 1.10  2006/11/15 11:19:50  qboosh
- updated to 1.5.0.8

Revision 1.9  2006/08/08 12:51:45  spider
- massive up to 1.5.0.6

Revision 1.8  2006/06/02 17:29:28  adamg
- updated to 1.5.0.4

Revision 1.7  2006/05/23 07:28:16  spider
- up to 1.5.0.3

Revision 1.6  2006/04/21 11:13:15  sparky
- realy updated

Revision 1.5  2006/04/21 09:59:17  spider
- up to 1.5.0.2

Revision 1.4  2006/02/19 18:58:10  sparky
- updated to 1.5.0.1 and fixed
- STBR for Ac

Revision 1.3  2006/01/15 20:58:21  blekot
- up to 1.5

Revision 1.2  2005/10/01 21:02:14  sparky
- fixed and updated to 1.0.7
- builds and works, STBR

Revision 1.1  2005/04/16 14:14:06  sparky
- new, not tested
